Name:           oidentd
Version:        2.5.0
Release:        %mkrel 1
Summary:        Ident server with masquerading support
License:        GPLv2
Group:          System/Servers
URL:            http://oidentd.janikrabe.com/
Source0:	https://files.janikrabe.com/pub/%{name}/releases/%{version}/%{name}-%{version}.tar.gz
Source2:        %{name}.users
Source3:        %{name}.sysconfig
Source5:        %{name}.service
BuildRequires:  flex
BuildRequires:  bison
BuildRequires:  pkgconfig(libnetfilter_conntrack)
BuildRequires:  pkgconfig(libcap-ng)

Provides:       identd
Requires(pre):  rpm-helper
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires(postun): rpm-helper

%description
Oidentd is an ident (rfc1413) daemon that runs on Linux, FreeBSD,
OpenBSD and Solaris 2.x. Oidentd supports most features of pidentd
plus more. Most notably, oidentd allows users to specify the identd
response that the server will output when a successful lookup is
completed. Oidentd supports IP masqueraded connections on Linux, and
is able to forward requests to hosts that masq through the host on
which oidentd runs.


%prep
%setup -q

%build
%configure CFLAGS="%optflags -std=gnu89"
%make

%install
%make_install

%{__mkdir_p} %{buildroot}%{_sysconfdir}/sysconfig
%{__cp} -a %{SOURCE3} %{buildroot}%{_sysconfdir}/sysconfig/%{name}
%{__cp} -a %{SOURCE2} %{buildroot}%{_sysconfdir}/%{name}_masq.conf
install -m644 %{name}.conf %{buildroot}%{_sysconfdir}/%{name}.conf
%{__mkdir_p} %{buildroot}%{_localstatedir}/lib/%{name}

install -d -m 755 %{buildroot}%{_unitdir}
install -m 644 %{SOURCE5} %{buildroot}%{_unitdir}/%{name}.service


%pre
%_pre_useradd %{name} %{_localstatedir}/lib/%{name} /bin/true

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%postun
%_postun_userdel %{name}

%files
%license COPYING COPYING.DOC
%doc AUTHORS NEWS README ChangeLog
%config(noreplace) %{_sysconfdir}/%{name}_masq.conf
%config(noreplace) %{_sysconfdir}/%{name}.conf
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%{_sbindir}/%{name}
%{_mandir}/man5/%{name}*
%{_mandir}/man8/%{name}*
%{_unitdir}/%{name}.service
%dir %{_localstatedir}/lib/%{name}


%changelog
* Thu Apr 16 2020 solbu <solbu> 2.5.0-1.mga8
+ Revision: 1567861
- New release: 2.5.0

* Sat Feb 15 2020 umeabot <umeabot> 2.4.0-2.mga8
+ Revision: 1528166
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Mon Aug 12 2019 solbu <solbu> 2.4.0-1.mga8
+ Revision: 1428893
- «doc/rfc1413» removed from release tarballs
- New version: 2.4.0
  Update Source URL

* Fri Jan 11 2019 solbu <solbu> 2.3.2-1.mga7
+ Revision: 1354898
- New version: 2.3.2

* Sun Sep 23 2018 umeabot <umeabot> 2.3.1-2.mga7
+ Revision: 1299964
- Mageia 7 Mass Rebuild

* Wed Jun 13 2018 solbu <solbu> 2.3.1-1.mga7
+ Revision: 1236704
- New release: 2.3.1

* Sat Mar 31 2018 solbu <solbu> 2.2.3-1.mga7
+ Revision: 1213900
- New release: 2.2.3
- Fix license tag. The code is GPLv2 only

* Sun Mar 18 2018 solbu <solbu> 2.2.2-1.mga7
+ Revision: 1210334
- New release: 2.2.2
- Drop Source4: merged upstream

* Tue Feb 20 2018 solbu <solbu> 2.2.1-1.mga7
+ Revision: 1203582
- New release: 2.2.1

* Mon Feb 19 2018 solbu <solbu> 2.2.0-1.mga7
+ Revision: 1203242
- Use «force hide» instead of «force reply unknown» for root example
- New release: 2.2.0

* Sun Apr 23 2017 solbu <solbu> 2.1.0-1.mga6
+ Revision: 1097115
- New version: 2.1.0
- New upstream URL

* Tue Feb 16 2016 umeabot <umeabot> 2.0.8-11.mga6
+ Revision: 961817
- Mageia 6 Mass Rebuild

* Fri Oct 30 2015 blino <blino> 2.0.8-10.mga6
+ Revision: 896603
- add -std=gnu89 to CFLAGS to fix build with gcc5 (for randval inline)

* Wed Oct 15 2014 umeabot <umeabot> 2.0.8-9.mga5
+ Revision: 744037
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.8-8.mga5
+ Revision: 683168
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.0.8-7.mga4
+ Revision: 508613
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.0.8-6.mga3
+ Revision: 361819
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 19 2012 solbu <solbu> 2.0.8-5.mga3
+ Revision: 319613
- Import oidentd
- Spec cleanup
- Fix License tag
- Add systemd support
- Drop sysvinit script

